
//Napisati funkciju koja cita broj zapisan u pozicionom sistemu sa osnovom 16. 
//Brojevi imaju prefikse 0x. Na primer 0x3a5. 
//Resenje kolege Slavka Moconje

#include <iostream>
#include <string>
using namespace std;

unsigned citajHex(string);

main()
{
	unsigned n;
	string s;

	cin >> s;
	n = citajHex(s);
	cout << n << endl;

	return 0;
}

unsigned citajHex(string s)
{
	unsigned n = 0, d;

	if ( s[0] != '0' || ( s[1] != 'x' && s[1]  != 'X' ) )
		return 0;
	for (int i = 2; i < s.length(); i++)
	{
		if ( '0' <= s[i] && s[i] <= '9')
			d = s[i] - '0';
		else if ( 'a' <= s[i] && s[i] <= 'f' )
		 	d = s[i] - 'a' + 10;
		else if ( 'A' <= s[i] && s[i] <= 'F' )
		        d = s[i] - 'A' + 10;
		else
		    	return 0;
		n = 16*n + d;
	}

	return n;
}

